import {requestInstance} from "@/service";
import {UserInfo} from "@/unit/UserInfo";

export function getInterfaceHomeTableData(params){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKoolkitMainPageList',
  data:{
   ...params
  }
 })
}
export function getToolTypeOptions(params){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKooleitMainType',
  data:{
   ...params
  }
 })
}
export function deleteHomeTableData(UUID){
 return requestInstance({
  url:'/ptjkInterface/removeInterfaceKoolkitMain',
  data:{
   UUID
  }
 })
}
export function changeHomeDataState(  UUID,
                                      INTERFACE_STATE){
 return requestInstance({
  url:'/ptjkInterface/editInterfaceKoolkitMain_state',
  data:{
   UUID,
   INTERFACE_STATE
  }
 })
}
export function getInterManageDetailInfo(UUID){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKoolkitMain',
  data:{
   UUID,
   appkey:new UserInfo().GetUserKeyCode()
  }
 })
}
export function getInterfaceParamsInfo(INTERFACE_UUID){
 return requestInstance({
  url:'/ptjkInterface/selectInterfaceKoolkitParameter',
  data:{
   INTERFACE_UUID
  }
 })
}
export function addOrEditInterfaceInfo(params){
 return requestInstance({
  url:'/ptjkInterface/editInterfaceKoolkitMain',
  data:{
   ...params
  }
 })
}
